<?php

namespace App\Enums;

use App\Enums\Traits\HasLabels;

enum RoomStatus: string {
    use HasLabels;

    case Active = 'active';
    case Closed = 'closed';
    case Error = 'error';
    case Maintenance = 'maintenance';

    // 返回對應的顯示文字
    public function labels(): string
    {
        return match($this) {
            self::Active => __('enums.room.status.Active'),
            self::Closed => __('enums.room.status.Closed'),
            self::Error => __('enums.room.status.Error'),
            self::Maintenance => __('enums.room.status.Maintenance'),
        };
    }
}
