<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Branch extends Model
{
    /** @use HasFactory<\Database\Factories\ArtistFactory> */
    use HasFactory;
       
    protected $fillable = [
        'name', 
        'external_ip',
    ];

    public function rooms() {
        return $this->hasMany(Room::class);
    }
    public function songs(){
        return $this->belongsToMany(Song::class)
                    ->withPivot('counts')
                    ->withTimestamps();
    }
}
