<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class SongLibrary extends Model
{   /** @use HasFactory<\Database\Factories\SongLanguageFactory> */
    use HasFactory;

    // 指定使用的資料庫連線（SQLite）
    protected $connection = 'KTVsqlite';

    // 指定表格名稱（如果不符合 Laravel 預設的複數形式，可手動指定）
    protected $table = 'SongLibrary';

    // 設定主鍵欄位（如果不是 'id'，例如這裡是 '歌曲編號'）
    protected $primaryKey = '歌曲編號';

    // 如果你的主鍵不是整數型別（如 `BIGINT`），需要指定
    public $incrementing = false; // 因為 '歌曲編號' 不是自動遞增的

    // 如果你不需要用預設的時間戳記 (created_at, updated_at)，可以設定如下：
    public $timestamps = false;

    // 你可以指定哪些欄位是可以批量賦值的（防止批量賦值漏洞）
    protected $fillable = [
        '歌曲編號', '歌曲名稱', '歌星 A', '歌星 B', '路徑 1', '路徑 2', '歌曲檔名', '新增日期', '分類', '歌曲注音',
        '歌曲拼音', '語別', '點播次數', '版權01', '版權02', '版權03', '版權04', '版權05', '版權06', '狀態',
        'DB加減', 'Unnamed: 21', '歌名字數', '人聲', '狀態2', '情境', '歌星A注音', '歌星B注音', '歌星A分類',
        '歌星B分類', '歌星A簡體', '歌星B簡體', '歌名簡體', '歌星A拼音', '歌星B拼音'
    ];

    
}
