<?php

return [

    /*
    |--------------------------------------------------------------------------
    | Validation Language Lines
    |--------------------------------------------------------------------------
    |
    | The following language lines contain the default error messages used by
    | the validator class. Some of these rules have multiple versions such
    | as the size rules. Feel free to tweak each of these messages here.
    |
    */

    'accepted' => ':attribute 欄位必須被接受。',
    'accepted_if' => '當 :other 是 :value 時，:attribute 欄位必須被接受。',
    'active_url' => ':attribute 欄位必須是有效的網址。',
    'after' => ':attribute 欄位必須是 :date 之後的日期。',
    'after_or_equal' => ':attribute 欄位必須是日期 :date 或之後。',
    'alpha' => ':attribute 欄位只能包含字母。',
    'alpha_dash' => ':attribute 欄位只能包含字母、數字、破折號和底線。',
    'alpha_num' => ':attribute 欄位只能包含字母和數字。',
    'array' => ':attribute 欄位必須是陣列。',
    'ascii' => ':attribute 欄位必須只包含單字節的字母數字字符和符號。',
    'before' => ':attribute 欄位必須是 :date 之前的日期。',
    'before_or_equal' => ':attribute 欄位必須是日期 :date 或之前。',
    'between' => [
        'array' => ':attribute 欄位必須包含 :min 到 :max 個項目。',
        'file' => ':attribute 欄位必須在 :min 到 :max KB 之間。',
        'numeric' => ':attribute 欄位必須在 :min 到 :max 之間。',
        'string' => ':attribute 欄位必須在 :min 到 :max 個字元之間。',
    ],
    'boolean' => ':attribute 欄位必須是 true 或 false。',
    'can' => ':attribute 欄位包含未授權的值。',
    'confirmed' => ':attribute 欄位確認不匹配。',
    'current_password' => '密碼不正確。',
    'date' => ':attribute 欄位必須是有效的日期。',
    'date_equals' => ':attribute 欄位必須是日期 :date。',
    'date_format' => ':attribute 欄位必須符合格式 :format。',
    'decimal' => ':attribute 欄位必須有 :decimal 位小數。',
    'declined' => ':attribute 欄位必須被拒絕。',
    'declined_if' => '當 :other 為 :value 時，:attribute 欄位必須被拒絕。',
    'different' => ':attribute 欄位和 :other 必須不同。',
    'digits' => ':attribute 欄位必須是 :digits 位數字。',
    'digits_between' => ':attribute 欄位必須在 :min 到 :max 位數字之間。',
    'dimensions' => ':attribute 欄位的圖片尺寸無效。',
    'distinct' => ':attribute 欄位具有重複值。',
    'doesnt_end_with' => ':attribute 欄位不能以以下任何一個結尾: :values。',
    'doesnt_start_with' => ':attribute 欄位不能以以下任何一個開頭: :values。',
    'email' => ':attribute 欄位必須是有效的電子郵件地址。',
    'ends_with' => ':attribute 欄位必須以以下之一結尾: :values。',
    'enum' => '選擇的 :attribute 無效。',
    'exists' => '所選的 :attribute 無效。',
    'extensions' => ':attribute 欄位必須具有以下擴展名之一: :values。',
    'file' => ':attribute 欄位必須是文件。',
    'filled' => ':attribute 欄位必須有值。',
    'gt' => [
        'array' => ':attribute 欄位必須包含多於 :value 個項目。',
        'file' => ':attribute 欄位必須大於 :value KB。',
        'numeric' => ':attribute 欄位必須大於 :value。',
        'string' => ':attribute 欄位必須多於 :value 個字符。',
    ],
    'gte' => [
        'array' => ':attribute 欄位必須包含 :value 個項目或更多。',
        'file' => ':attribute 欄位必須大於或等於 :value KB。',
        'numeric' => ':attribute 欄位必須大於或等於 :value。',
        'string' => ':attribute 欄位必須大於或等於 :value 個字符。',
    ],
    'hex_color' => ':attribute 欄位必須是有效的十六進制顏色。',
    'image' => ':attribute 欄位必須是圖片。',
    'in' => '所選的 :attribute 無效。',
    'in_array' => ':attribute 欄位必須存在於 :other 中。',
    'integer' => ':attribute 欄位必須是整數。',
    'ip' => ':attribute 欄位必須是有效的 IP 地址。',
    'ipv4' => ':attribute 欄位必須是有效的 IPv4 地址。',
    'ipv6' => ':attribute 欄位必須是有效的 IPv6 地址。',
    'json' => ':attribute 欄位必須是有效的 JSON 字串。',
    'lowercase' => ':attribute 欄位必須是小寫。',
    'lt' => [
        'array' => ':attribute 欄位必須包含少於 :value 個項目。',
        'file' => ':attribute 欄位必須小於 :value KB。',
        'numeric' => ':attribute 欄位必須小於 :value。',
        'string' => ':attribute 欄位必須少於 :value 個字符。',
    ],
    'lte' => [
        'array' => ':attribute 欄位不能包含多於 :value 個項目。',
        'file' => ':attribute 欄位必須小於或等於 :value KB。',
        'numeric' => ':attribute 欄位必須小於或等於 :value。',
        'string' => ':attribute 欄位必須小於或等於 :value 個字符。',
    ],
    'mac_address' => ':attribute 欄位必須是有效的 MAC 地址。',
    'max' => [
        'array' => ':attribute 欄位不能超過 :max 個項目。',
        'file' => ':attribute 欄位不能大於 :max KB。',
        'numeric' => ':attribute 欄位不能大於 :max。',
        'string' => ':attribute 欄位不能多於 :max 個字元。',
    ],
    'max_digits' => ':attribute 欄位不能超過 :max 位數字。',
    'mimes' => ':attribute 欄位必須是以下類型的文件: :values。',
    'mimetypes' => ':attribute 欄位必須是以下類型的文件: :values。',
    'min' => [
        'array' => ':attribute 欄位至少要有 :min 個項目。',
        'file' => ':attribute 欄位至少要有 :min KB。',
        'numeric' => ':attribute 欄位至少要有 :min。',
        'string' => ':attribute 欄位至少要有 :min 個字元。',
    ],
    'min_digits' => ':attribute 欄位必須至少有 :min 位數字。',
    'missing' => ':attribute 欄位必須缺失。',
    'missing_if' => '當 :other 是 :value 時，:attribute 欄位必須缺失。',
    'missing_unless' => '除非 :other 是 :value，否則 :attribute 欄位必須缺失。',
    'missing_with' => '當 :values 存在時，:attribute 欄位必須缺失。',
    'missing_with_all' => '當 :values 存在時，:attribute 欄位必須缺失。',
    'multiple_of' => ':attribute 欄位必須是 :value 的倍數。',
    'not_in' => '所選的 :attribute 無效。',
    'not_regex' => ':attribute 欄位格式無效。',
    'numeric' => ':attribute 欄位必須是數字。',
    'password' => [
        'letters' => ':attribute 欄位必須包含至少一個字母。',
        'mixed' => ':attribute 欄位必須包含至少一個大寫字母和一個小寫字母。',
        'numbers' => ':attribute 欄位必須包含至少一個數字。',
        'symbols' => ':attribute 欄位必須包含至少一個符號。',
        'uncompromised' => '給定的 :attribute 已出現在數據洩露中。請選擇一個不同的 :attribute。',
    ],
    'present' => ':attribute 欄位必須存在。',
    'present_if' => '當 :other 是 :value 時，:attribute 欄位必須存在。',
    'present_unless' => '除非 :other 是 :value，否則 :attribute 欄位必須存在。',
    'present_with' => '當 :values 存在時，:attribute 欄位必須存在。',
    'present_with_all' => '當 :values 存在時，:attribute 欄位必須存在。',
    'prohibited' => ':attribute 欄位被禁止。',
    'prohibited_if' => '當 :other 是 :value 時，:attribute 欄位被禁止。',
    'prohibited_unless' => '除非 :other 在 :values 中，否則 :attribute 欄位被禁止。',
    'prohibits' => ':attribute 欄位禁止 :other 存在。',
    'regex' => ':attribute 欄位格式無效。',
    'required' => ':attribute 欄位是必填的。',
    'required_array_keys' => ':attribute 欄位必須包含以下鍵的條目: :values。',
    'required_if' => '當 :other 是 :value 時，:attribute 欄位是必填的。',
    'required_if_accepted' => '當 :other 被接受時，:attribute 欄位是必需的。',
    'required_unless' => '除非 :other 在 :values 中，否則 :attribute 欄位是必填的。',
    'required_with' => '當 :values 存在時，:attribute 欄位是必填的。',
    'required_with_all' => '當 :values 存在時，:attribute 欄位是必填的。',
    'required_without' => '當 :values 不存在時，:attribute 欄位是必填的。',
    'required_without_all' => '當 :values 都不存在時，:attribute 欄位是必填的。',
    'same' => ':attribute 欄位必須與 :other 相匹配。',
    'size' => [
        'array' => ':attribute 欄位必須包含 :size 個項目。',
        'file' => ':attribute 欄位必須是 :size KB。',
        'numeric' => ':attribute 欄位必須是 :size。',
        'string' => ':attribute 欄位必須是 :size 個字元。',
    ],
    'starts_with' => ':attribute 欄位必須以以下任何一個開頭: :values。',
    'string' => ':attribute 欄位必須是字串。',
    'timezone' => ':attribute 欄位必須是有效的時區。',
    'unique' => ':attribute 已經被使用。',
    'uploaded' => ':attribute 上傳失敗。',
    'uppercase' => ':attribute 欄位必須是大寫。',
    'url' => ':attribute 欄位必須是有效的網址。',
    'ulid' => ':attribute 欄位必須是有效的 ULID。',
    'uuid' => ':attribute 欄位必須是有效的 UUID。',

    /*
    |--------------------------------------------------------------------------
    | Custom Validation Language Lines
    |--------------------------------------------------------------------------
    |
    | Here you may specify custom validation messages for attributes using the
    | convention "attribute.rule" to name the lines. This makes it quick to
    | specify a specific custom language line for a given attribute rule.
    |
    */

    'custom' => [
        'attribute-name' => [
            'rule-name' => 'custom-message',
        ],
    ],

    /*
    |--------------------------------------------------------------------------
    | Custom Validation Attributes
    |--------------------------------------------------------------------------
    |
    | The following language lines are used to swap our attribute placeholder
    | with something more reader friendly such as "E-Mail Address" instead
    | of "email". This simply helps us make our message more expressive.
    |
    */

    'attributes' => [],

];
