<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="csrf-token" content="{{ csrf_token() }}">

        <title>{{ config('app.name', 'Laravel Admin') }}</title>

        <!-- Fonts -->
        <link rel="preconnect" href="https://fonts.bunny.net">
        <link href="https://fonts.bunny.net/css?family=figtree:400,500,600&display=swap" rel="stylesheet" />

        <!-- Scripts -->
        @vite(['resources/css/app.css', 'resources/js/app.js'])
        @livewireStyles
        @wireUiScripts
    </head>
    <body class="font-sans antialiased">
        <div class="min-h-screen bg-gray-100 flex">

            {{-- Sidebar --}}
            <livewire:layout.admin.sidebar />

            <div class="flex-1 flex flex-col">
                {{-- Navigation --}}
                <livewire:layout.admin.navigation />

                {{-- Page Heading --}}
                @if (isset($header))
                    <header class="bg-white shadow">
                        <div class="max-w-7xl mx-auto py-6 px-4 sm:px-6 lg:px-8">
                            {{ $header }}
                        </div>
                    </header>
                @endif

                {{-- Page Content --}}
                <main>
                    {{ $slot }}
                </main>
            </div>

        </div>

        @livewireScripts
        @livewire('wire-elements-modal')
    </body>
</html>

